4 Replies - 2109 Views - Last Post: 09 August 2012 - 11:21 PM

#1 jacksonecac  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 16
  • Joined: 07-September 10

General android programming questions

Posted 18 April 2012 - 07:52 AM

Hello I recently started programming for android. I am using Eclipse with the android sdk. Lets say I have a program ready to go and I run it using the android AVD.

1. Can I then use the .sdk to try to run it on an android phone?
2. If i create a new AVD using a different version number, will the .sdk file change so I can use a different version on a phone?
3. Is the .sdk file the only file I need to upload to a phone to use?

Is This A Good Question/Topic? 0
  • +

Replies To: General android programming questions

#2 H3R3T1C  Icon User is offline

  • Android Expert
  • member icon

Reputation: 277
  • View blog
  • Posts: 757
  • Joined: 30-March 07

Re: General android programming questions

Posted 18 April 2012 - 08:03 AM

First there is no .sdk file! Android app file are .apk files! Yes you can run your app on your android device as well as the Emulator. Read this tutorial on how to run on your phone: http://developer.and...ing/device.html . Your app will run on any version of android given that the minimum sdk version is less than or equal to current api version on your phone or emulator. So say that your emulator is running android 2.1 and your skd version is 2.2 with a minimum skd version of 4. Even though your emulator is running 2.1 android is backwards compatible so it will run on the emulator even though it was compiled against android 2.2.
Was This Post Helpful? 0
  • +
  • -

#3 jacksonecac  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 16
  • Joined: 07-September 10

Re: General android programming questions

Posted 18 April 2012 - 08:27 AM

Another issue I am having is this:


[2012-04-18 11:10:42 - Convert] HOME is up on device 'emulator-5554'
[2012-04-18 11:10:42 - Convert] Uploading Convert.apk onto device 'emulator-5554'
[2012-04-18 11:10:45 - Convert] Installing Convert.apk...
[2012-04-18 11:13:01 - Convert] Failed to install Convert.apk on device 'emulator-5554!
[2012-04-18 11:13:01 - Convert] (null)
[2012-04-18 11:13:02 - Convert] Launch canceled!
[2012-04-18 11:18:48 - SDK Manager] Updated AVD 'andy' based on Android 4.0.3, ARM (armeabi-v7a) processor,
[2012-04-18 11:18:48 - SDK Manager] with the following hardware config:
[2012-04-18 11:18:48 - SDK Manager] hw.lcd.density=240
[2012-04-18 11:18:48 - SDK Manager] hw.keyboard.lid=no
[2012-04-18 11:18:48 - SDK Manager] vm.heapSize=48
[2012-04-18 11:18:48 - SDK Manager] hw.ramSize=512

Notice that the Convert.apk faileed to install. However when the emulator finally opens up sometimes (yes sometimes) the application is there to open. However I found that it only is there on the 4.0.4 version of the AVD and never the 2.3 version that I want it to run on. Does anyone have any explanations for this?

Thanks.
Was This Post Helpful? 0
  • +
  • -

#4 H3R3T1C  Icon User is offline

  • Android Expert
  • member icon

Reputation: 277
  • View blog
  • Posts: 757
  • Joined: 30-March 07

Re: General android programming questions

Posted 18 April 2012 - 08:43 AM

What version of the sdk do you have selected for the app and what is the minimum sdk version you defined in your manifest?
Was This Post Helpful? 0
  • +
  • -

#5 Nick johnson  Icon User is offline

  • New D.I.C Head

Reputation: 0
  • View blog
  • Posts: 15
  • Joined: 20-June 12

Re: General android programming questions

Posted 09 August 2012 - 11:21 PM

You are using eclipse, right....
and which version of sdk you are using???????
Was This Post Helpful? 0
  • +
  • -

Page 1 of 1